> For the complete documentation index, see [llms.txt](https://help.orderdesk.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.orderdesk.com/api-documentation/getting-started/making-requests.md).

# Making Requests

The Order Desk API accepts and returns JSON. Send `Content-Type: application/json` with requests that include a JSON body.

To avoid receiving `400` responses from our API, please ensure all requests follow the valid HTTP/1.x specification ([RFC 7231](https://datatracker.ietf.org/doc/html/rfc7231)). Some common invalid examples include:

* Sending `Content-Length` or `Content-Type` headers during `GET` requests
* Sending a request body with a `GET` request
* Sending `CONNECT`, `TRACE`, or `PATCH` requests
* Sending an invalid `Host` header

### Updating Resources

Order and inventory update operations behave like replacements rather than merges.

{% hint style="danger" %}
You must pass the complete resource, as any parts left out will be updated as blank. To change a single field, retrieve the current record, modify that field in the response you received, and submit the complete record.
{% endhint %}

### Method Override

The API documents update operations as `PUT`. Legacy clients that cannot issue `PUT` can send `POST` with the following header:

```http
X-HTTP-Method-Override: PUT
```

### Dates

Unless an endpoint explicitly says it uses store-local time, dates are UTC and use this format:

```
YYYY-MM-DD HH:MM:SS
```

Several order search filters have `_local` variants that use your store's local time instead. These are noted on the operations that accept them.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://help.orderdesk.com/api-documentation/getting-started/making-requests.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
